Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
QueryParameterWorkspaceNegotiator class core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Defines the query parameter workspace negotiator.
QueryParameterWorkspaceNegotiator.php file core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::applies function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Checks whether the negotiator applies to the current request or not.
QueryParameterWorkspaceNegotiator::getActiveWorkspace function core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Gets the negotiated workspace, if any.
QueryPluginBase class core/modules/views/src/Plugin/views/query/QueryPluginBase.php Base plugin class for Views queries.
QueryPluginBase.php file core/modules/views/src/Plugin/views/query/QueryPluginBase.php
QueryPluginBase::$groupOperator property core/modules/views/src/Plugin/views/query/QueryPluginBase.php Controls how the WHERE and HAVING groups are put together.
QueryPluginBase::$limit property core/modules/views/src/Plugin/views/query/QueryPluginBase.php Stores the limit of items that should be requested in the query.
QueryPluginBase::$pager property core/modules/views/src/Plugin/views/query/QueryPluginBase.php A pager plugin that should be provided by the display.
QueryPluginBase::addSignature function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Add a signature to the query, if such a thing is feasible.
QueryPluginBase::alter function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Let modules modify the query just prior to finalizing it.
QueryPluginBase::build function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Builds the necessary info to execute the query.
QueryPluginBase::calculateDependencies function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Calculates dependencies for the configured plugin.
QueryPluginBase::execute function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Executes query and fills associated view object with according values.
QueryPluginBase::getAggregationInfo function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Get aggregation info for group by queries.
QueryPluginBase::getCacheContexts function core/modules/views/src/Plugin/views/query/QueryPluginBase.php The cache contexts associated with this object.
QueryPluginBase::getCacheMaxAge function core/modules/views/src/Plugin/views/query/QueryPluginBase.php The maximum age for which this object may be cached.
QueryPluginBase::getCacheTags function core/modules/views/src/Plugin/views/query/QueryPluginBase.php The cache tags associated with this object.
QueryPluginBase::getDateField function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Returns a Unix timestamp to database native timestamp expression.
QueryPluginBase::getDateFormat function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Creates cross-database date formatting.
QueryPluginBase::getEntityTableInfo function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Returns an array of all tables from the query that map to an entity type.
QueryPluginBase::getLimit function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Returns the limit of the query.
QueryPluginBase::getTimezoneOffset function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Get the timezone offset in seconds.
QueryPluginBase::loadEntities function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Loads all entities contained in the passed-in $results.
QueryPluginBase::query function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Generate a query and a countquery from all of the information supplied.
QueryPluginBase::setFieldTimezoneOffset function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Applies a timezone offset to the given field.
QueryPluginBase::setGroupOperator function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Control how all WHERE and HAVING groups are put together.
QueryPluginBase::setLimit function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set a LIMIT on the query, specifying a maximum number of results.
QueryPluginBase::setOffset function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set an OFFSET on the query, specifying a number of results to skip.
QueryPluginBase::setupTimezone function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set the database to the current user timezone.
QueryPluginBase::setWhereGroup function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Create a new grouping for the WHERE or HAVING clause.
QueryPluginBase::submitOptionsForm function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Handle any special handling on the validate form.
QueryPluginBase::summaryTitle function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Returns the summary of the settings in the display.
QueryPluginBase::validateOptionsForm function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Validate the options form.
QueryTest class core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests query plugins.
QueryTest class core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Defines a query test plugin.
QueryTest class core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php @coversDefaultClass \Drupal\Core\Entity\Query\Sql\Query[[api-linebreak]]
@group Entity
QueryTest class core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests Drupal's extended prepared statement syntax..
QueryTest class core/modules/views_ui/tests/src/Functional/QueryTest.php Tests query plugins.
QueryTest.php file core/modules/views_ui/tests/src/Functional/QueryTest.php
QueryTest.php file core/tests/Drupal/KernelTests/Core/Database/QueryTest.php
QueryTest.php file core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php
QueryTest.php file core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest.php file core/modules/views/tests/src/Kernel/Plugin/QueryTest.php
QueryTest::$allItems property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::$conditions property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::$defaultTheme property core/modules/views_ui/tests/src/Functional/QueryTest.php The theme to install as the default for testing.
QueryTest::$fields property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::$orderBy property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::$query property core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php The query object.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.